diff options
author | Linus Torvalds <torvalds@linux-foundation.org> | 2008-05-01 14:31:24 -0400 |
---|---|---|
committer | Linus Torvalds <torvalds@linux-foundation.org> | 2008-05-01 14:31:24 -0400 |
commit | 6ed7b6a05dc4332c391134809387220123e82ea7 (patch) | |
tree | cd78dd3fbc4f5a44663edcc551f99f308f103267 | |
parent | 2c4aabcca847ac4c92aa5e960c3f6053e1051b62 (diff) | |
parent | 90ebd878a5900839106664fae40a6cc83dbe86ab (diff) |
Merge git://git.kernel.org/pub/scm/linux/kernel/git/sam/kbuild-linus
* git://git.kernel.org/pub/scm/linux/kernel/git/sam/kbuild-linus:
kbuild: fix vmlinux.o link
kconfig: made check-lxdialog more portable
-rw-r--r-- | Makefile | 6 | ||||
-rw-r--r-- | scripts/kconfig/lxdialog/check-lxdialog.sh | 6 |
2 files changed, 8 insertions, 4 deletions
@@ -794,7 +794,7 @@ endif # ifdef CONFIG_KALLSYMS | |||
794 | quiet_cmd_vmlinux-modpost = LD $@ | 794 | quiet_cmd_vmlinux-modpost = LD $@ |
795 | cmd_vmlinux-modpost = $(LD) $(LDFLAGS) -r -o $@ \ | 795 | cmd_vmlinux-modpost = $(LD) $(LDFLAGS) -r -o $@ \ |
796 | $(vmlinux-init) --start-group $(vmlinux-main) --end-group \ | 796 | $(vmlinux-init) --start-group $(vmlinux-main) --end-group \ |
797 | $(filter-out $(vmlinux-init) $(vmlinux-main) $(vmlinux-lds) FORCE ,$^) | 797 | $(filter-out $(vmlinux-init) $(vmlinux-main) FORCE ,$^) |
798 | define rule_vmlinux-modpost | 798 | define rule_vmlinux-modpost |
799 | : | 799 | : |
800 | +$(call cmd,vmlinux-modpost) | 800 | +$(call cmd,vmlinux-modpost) |
@@ -818,7 +818,9 @@ endif | |||
818 | ifdef CONFIG_KALLSYMS | 818 | ifdef CONFIG_KALLSYMS |
819 | .tmp_vmlinux1: vmlinux.o | 819 | .tmp_vmlinux1: vmlinux.o |
820 | endif | 820 | endif |
821 | vmlinux.o: $(vmlinux-lds) $(vmlinux-init) $(vmlinux-main) FORCE | 821 | |
822 | modpost-init := $(filter-out init/built-in.o, $(vmlinux-init)) | ||
823 | vmlinux.o: $(modpost-init) $(vmlinux-main) FORCE | ||
822 | $(call if_changed_rule,vmlinux-modpost) | 824 | $(call if_changed_rule,vmlinux-modpost) |
823 | 825 | ||
824 | # The actual objects are generated when descending, | 826 | # The actual objects are generated when descending, |
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh index 62e1e02126e6..5552154cbedb 100644 --- a/scripts/kconfig/lxdialog/check-lxdialog.sh +++ b/scripts/kconfig/lxdialog/check-lxdialog.sh | |||
@@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15 | |||
36 | 36 | ||
37 | # Check if we can link to ncurses | 37 | # Check if we can link to ncurses |
38 | check() { | 38 | check() { |
39 | echo -e " #include CURSES_LOC \n main() {}" | | 39 | $cc -xc - -o $tmp 2>/dev/null <<'EOF' |
40 | $cc -xc - -o $tmp 2> /dev/null | 40 | #include CURSES_LOC |
41 | main() {} | ||
42 | EOF | ||
41 | if [ $? != 0 ]; then | 43 | if [ $? != 0 ]; then |
42 | echo " *** Unable to find the ncurses libraries or the" 1>&2 | 44 | echo " *** Unable to find the ncurses libraries or the" 1>&2 |
43 | echo " *** required header files." 1>&2 | 45 | echo " *** required header files." 1>&2 |